
Redmine - Defect #5527

Link in pre tag for comment

2010-05-14 12:27 - minkbear minkbear

Status: Closed Start date: 2010-05-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.9.4

Description

If you insert text below with pre tag in any comment of issues, it appears link to issues. but for inserting the same text on description

of a new issue, it does not appear the link.

<pre>

ul.simplePagerNav li a{

    color: #333;

    text-decoration: none;

}

</pre>

 Step to reproduce:

1. Goto any existing issues

2. Click on "Update" button

3. Insert above text in note. You'll see the link to issues.

History

#1 - 2010-06-20 19:05 - Jean-Baptiste Barth

Sorry I don't understand the problem. Do you mean the #333 is turned into a link to issue 333 on your redmine install ? Or it is something else ?

If this is it, I was not able to reproduce. Can you read SubmittingBugs and provide all the requested informations ? Thank you

#2 - 2010-07-13 09:39 - bato bato

I encountered a similar Problem with links within a  Wiki pages and  pre tag.

Link inside a pre tag to other wiki pages doesn't work.

    Link to other wiki page: [[wiki_page]]  

 This is a regression to older Redmine versions

I found also a submitted bug report for similar issue ( see #5800)

#3 - 2010-12-30 04:37 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Cant reproduce

@ minkbear: closing this issue because it seems not possible to reproduce the described behaviour and there hasn't been given more feedback.

bato bato wrote:

I encountered a similar Problem with links within a  Wiki pages and  pre tag.

Link inside a pre tag to other wiki pages doesn't work.

[...]

This is a regression to older Redmine versions

 Indeed. You could call this a regression, introduced in Redmine 1.0.0 (RC) on behalf of issue #1288. Though, IMHO this is rather an improvement

instead of a regression...
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
https://www.redmine.org/issues/5800
https://www.redmine.org/versions/14
https://www.redmine.org/issues/1288


#4 - 2013-06-06 09:21 - Patrick Sernetz

We´ve fixed this issue in our redmine with the help of a css class.

Just pass this css code

.pre {

        font-size: 1.15em;

        font-family: monospace;

        margin-left: 20px;

        margin-right: 10px;

        border-style:solid;

        border-width:1px;

        border-color: #DADADA;

        background-color: #FAFAFA;

        padding-left: 0px;

        padding-top:5px;

        padding-bottom:5px;

        white-space: pre-wrap;

        white-space: -moz-pre-wrap;

        white-space: -pre-wrap;

        white-space: -o-pre-wrap;

        word-wrap: break-word;

}

 and use this tag to create pre blocks with links on your wiki page

p(pre). 
